
TYPO3.Flow - Bug # 36049

Status: Resolved Priority: Should have
Author: Marc Bastian Heinrichs Category:
Created: 2012-04-14 Assigned To: Karsten Dambekalns
Updated: 2012-07-12 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: (any)
Subject: After running setfilepermissions some file rights are different from the ones in repository 
Description

$git diff
diff --git a/Classes/Security/Authentication/Token/AbstractToken.php
b/Classes/Security/Authentication/Token/AbstractToken.php
old mode 100755
new mode 100644
diff --git a/Classes/Security/Authentication/Token/TestingToken.php
b/Classes/Security/Authentication/Token/TestingToken.php
old mode 100755
new mode 100644
diff --git a/Classes/Security/Authentication/Token/Typo3OrgSsoToken.php
b/Classes/Security/Authentication/Token/Typo3OrgSsoToken.php
old mode 100755
new mode 100644
diff --git a/Classes/Security/Authentication/Token/UsernamePassword.php
b/Classes/Security/Authentication/Token/UsernamePassword.php
old mode 100755
new mode 100644
diff --git a/Classes/Security/Authentication/Token/UsernamePasswordHttpBasic.php
b/Classes/Security/Authentication/Token/UsernamePasswordHttpBasic.php
old mode 100755
new mode 100644
diff --git a/Resources/Private/Translations/ValidationErrors.de.xlf b/Resources/Private/Translations/ValidationErrors.de.xlf
old mode 100755
new mode 100644
diff --git a/Resources/Private/Translations/ValidationErrors.en.xlf b/Resources/Private/Translations/ValidationErrors.en.xlf
old mode 100755
new mode 100644
diff --git a/Resources/Private/Translations/ValidationErrors.fr.xlf b/Resources/Private/Translations/ValidationErrors.fr.xlf
old mode 100755
new mode 100644
diff --git a/Scripts/flow3.php b/Scripts/flow3.php
old mode 100755
new mode 100644
diff --git a/Scripts/migrate-annotations.php b/Scripts/migrate-annotations.php
old mode 100755
new mode 100644
diff --git a/Scripts/migrate.php b/Scripts/migrate.php
old mode 100755
new mode 100644
Associated revisions
Revision f91996c6 - 2012-07-10 16:45 - Karsten Dambekalns

[BUGFIX] Adjust execute bit on some files

This fixes the execute bit (and setfilepermissions.sh) so that
no differences are created when setting permissions on a fresh
clone.

Change-Id: I9b45c525276f273ea8b332d126990cd8ce237edd
Fixes: #36049
Releases: 1.1, 1.2

Revision 272893ad - 2012-07-12 11:55 - Karsten Dambekalns

[BUGFIX] Adjust execute bit on some files

This fixes the execute bit (and setfilepermissions.sh) so that
no differences are created when setting permissions on a fresh
clone.

Change-Id: I9b45c525276f273ea8b332d126990cd8ce237edd
Fixes: #36049
Releases: 1.1, 1.2

History
#1 - 2012-06-28 10:29 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Affected Flow version changed from Git master to (any)

#2 - 2012-07-10 16:43 - Karsten Dambekalns
- Target version set to 2.0 beta 1

#3 - 2012-07-10 16:44 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 1.1

#4 - 2012-07-10 16:45 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12744

#5 - 2012-07-12 11:55 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12759
#6 - 2012-07-12 12:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:272893adddf7bdd4ae979edac7652180f6c97fba.
